"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var code_compiler_1 = require("./code-compiler");
var definition_compiler_1 = require("./definition-compiler");
exports.getOutputFilePath = function (filePath, options) {
    if (options === void 0) { options = {}; }
    if (options.definition) {
        return filePath + ".d.ts";
    }
    else {
        return filePath + ".js";
    }
};
exports.compile = function (info, filePath, options) {
    if (options === void 0) { options = {}; }
    if (options.definition) {
        return definition_compiler_1.compile(info, filePath, options);
    }
    else {
        return code_compiler_1.compile(info, filePath, options);
    }
};
