"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var lodash_1 = require("lodash");
var path = require("path");
var paperclip_1 = require("paperclip");
exports.RENAME_PROPS = {
    class: "className",
    autofocus: "autoFocus",
    autocomplete: "autoComplete",
    for: "htmlFor"
};
exports.pascalCase = function (value) {
    var newValue = lodash_1.camelCase(value);
    return newValue.charAt(0).toUpperCase() + newValue.substr(1);
};
exports.getBaseComponentName = function (root, filePath) {
    return "Base" + exports.getComponentName(root, filePath);
};
exports.getComponentName = function (root, filePath) {
    return (paperclip_1.getMetaValue("react-class", root) ||
        exports.pascalCase(path
            .basename(filePath)
            .split(".")
            .shift() + "View"));
};
exports.getPartClassName = function (part) {
    return exports.pascalCase(paperclip_1.getAttributeStringValue("id", part));
};
